Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class OQLLexer

    java.lang.Object
      antlr.CharScanner
          org.makumba.providers.query.oql.OQLLexer

All Implemented Interfaces:
  antlr.TokenStream, OQLLexerTokenTypes

    public class OQLLexer

extends antlr.CharScanner
implements OQLLexerTokenTypes, antlr.TokenStream

Field Summary
`static antlr.collections.impl.BitSet` | `_tokenSet_0`
`static antlr.collections.impl.BitSet` | `_tokenSet_1`
`static antlr.collections.impl.BitSet` | `_tokenSet_2`
`static antlr.collections.impl.BitSet` | `_tokenSet_3`
`static antlr.collections.impl.BitSet` | `_tokenSet_4`
`static antlr.collections.impl.BitSet` | `_tokenSet_5`

Fields inherited from class antlr.CharScanner
`_returnToken, caseSensitive, caseSensitiveLiterals, commitToPath, EOF_CHAR, hashString, inputState, literals, saveConsumedInput, tabsize, text, tokenObjectClass, traceDepth`

Fields inherited from interface org.makumba.providers.query.oql.OQLLexerTokenTypes
`CharLiteral, CommentLine, EOF, Identifier, LITERAL_abs, LITERAL_all, LITERAL_and, LITERAL_any, LITERAL_array, LITERAL_as, LITERAL_asc, LITERAL_ascii, LITERAL_avg, LITERAL_bag, LITERAL_boolean, LITERAL_by, LITERAL_char, LITERAL_character_length, LITERAL_count, LITERAL_current_date, LITERAL_current_time, LITERAL_current_timestamp, LITERAL_date, LITERAL_dayName, LITERAL_dayOfMonth, LITERAL_dayOfWeek, LITERAL_dayOfYear, LITERAL_define, LITERAL_desc, LITERAL_dictionary, LITERAL_distinct, LITERAL_double, LITERAL_element, LITERAL_except, LITERAL_exists, LITERAL_false, LITERAL_first, LITERAL_flatten, LITERAL_float, LITERAL_for, LITERAL_from, LITERAL_group, LITERAL_having, LITERAL_hour, LITERAL_import, LITERAL_in, LITERAL_intersect, LITERAL_interval, LITERAL_is_defined, LITERAL_is_undefined, LITERAL_join, LITERAL_last, LITERAL_left, LITERAL_like, LITERAL_list, LITERAL_listtoset, LITERAL_long, LITERAL_lower, LITERAL_ltrim, LITERAL_max, LITERAL_min, LITERAL_minute, LITERAL_mod, LITERAL_month, LITERAL_monthName, LITERAL_nil, LITERAL_not, LITERAL_octet, LITERAL_or, LITERAL_order, LITERAL_query, LITERAL_rtrim, LITERAL_second, LITERAL_select, LITERAL_set, LITERAL_short, LITERAL_some, LITERAL_string, LITERAL_struct, LITERAL_sum, LITERAL_time, LITERAL_timestamp, LITERAL_trim, LITERAL_true, LITERAL_undefine, LITERAL_union, LITERAL_unique, LITERAL_unsigned, LITERAL_upper, LITERAL_where, LITERAL_year, MultiLineComment, NameCharacter, NameFirstCharacter, NewLine, NULL_TREE_LOOKAHEAD, StringLiteral, TOK_APPROXIMATE_NUMERIC_LITERAL, TOK_COLON, TOK_COMMA, TOK_CONCAT, TOK_DOLLAR, TOK_DOT, TOK_DOTDOT, TOK_EQ, TOK_EXACT_NUMERIC_LITERAL, TOK_GE, TOK_GT, TOK_INDIRECT, TOK_LBRACK, TOK_LE, TOK_LPAR, TOK_LPAREN, TOK_LRAR, TOK_LT, TOK_MINUS, TOK_NE, TOK_PLUS, TOK_RBRACK, TOK_RPAREN, TOK_SEMIC, TOK_SLASH, TOK_STAR, TOK_UNSIGNED_INTEGER, WhiteSpace`

Constructor Summary
`OQLLexer(antlr.InputBuffer ib)`
`OQLLexer(InputStream in)`
`OQLLexer(antlr.LexerSharedInputState state)`
`OQLLexer(Reader in)`

Method Summary
`void` | `mCharLiteral(boolean _createToken)`
`void` | `mCommentLine(boolean _createToken)`
`void` | `mIdentifier(boolean _createToken)`
`void` | `mMultiLineComment(boolean _createToken)`
`protected void` | `mNameCharacter(boolean _createToken)`
`protected void` | `mNameFirstCharacter(boolean _createToken)`
`void` | `mNewLine(boolean _createToken)`
`void` | `mStringLiteral(boolean _createToken)`
`protected void` | `mTOK_APPROXIMATE_NUMERIC_LITERAL(boolean _createToken)`
`void` | `mTOK_COLON(boolean _createToken)`
`void` | `mTOK_COMMA(boolean _createToken)`
`void` | `mTOK_CONCAT(boolean _createToken)`
`void` | `mTOK_DOLLAR(boolean _createToken)`
`void` | `mTOK_DOT(boolean _createToken)`
`void` | `mTOK_DOTDOT(boolean _createToken)`
`void` | `mTOK_EQ(boolean _createToken)`
`void` | `mTOK_EXACT_NUMERIC_LITERAL(boolean _createToken)`
`void` | `mTOK_GE(boolean _createToken)`
`void` | `mTOK_GT(boolean _createToken)`
`void` | `mTOK_INDIRECT(boolean _createToken)`
`void` | `mTOK_LBRACK(boolean _createToken)`
`void` | `mTOK_LE(boolean _createToken)`
`void` | `mTOK_LPAREN(boolean _createToken)`
`void` | `mTOK_LT(boolean _createToken)`
`void` | `mTOK_MINUS(boolean _createToken)`
`void` | `mTOK_NE(boolean _createToken)`
`void` | `mTOK_PLUS(boolean _createToken)`
`void` | `mTOK_RBRACK(boolean _createToken)`
`void` | `mTOK_RPAREN(boolean _createToken)`
`void` | `mTOK_SEMIC(boolean _createToken)`
`void` | `mTOK_SLASH(boolean _createToken)`
`void` | `mTOK_STAR(boolean _createToken)`
`protected void` | `mTOK_UNSIGNED_INTEGER(boolean _createToken)`
`void` | `mWhiteSpace(boolean _createToken)`
`antlr.Token` | `nextToken()`

Methods inherited from class antlr.CharScanner
`append, append, commit, consume, consumeUntil, consumeUntil, getCaseSensitive, getCaseSensitiveLiterals, getColumn, getCommitToPath, getFilename, getInputBuffer, getInputState, getLine, getTabSize, getText, getTokenObject, LA, makeToken, mark, match, match, match, matchNot, matchRange, newline, panic, panic, reportError, reportError, reportWarning, resetText, rewind, setCaseSensitive, setColumn, setCommitToPath, setFilename, setInputState, setLine, setTabSize, setText, setTokenObjectClass, tab, testLiteralsTable, testLiteralsTable, toLower, traceIn, traceIndent, traceOut, uponEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tokenSet_0

    public static final antlr.collections.impl.BitSet _tokenSet_0

### _tokenSet_1

    public static final antlr.collections.impl.BitSet _tokenSet_1

### _tokenSet_2

    public static final antlr.collections.impl.BitSet _tokenSet_2

### _tokenSet_3

    public static final antlr.collections.impl.BitSet _tokenSet_3

### _tokenSet_4

    public static final antlr.collections.impl.BitSet _tokenSet_4

### _tokenSet_5

    public static final antlr.collections.impl.BitSet _tokenSet_5

Constructor Detail

### OQLLexer

    public OQLLexer(InputStream in)

### OQLLexer

    public OQLLexer(Reader in)

### OQLLexer

    public OQLLexer(antlr.InputBuffer ib)

### OQLLexer

    public OQLLexer(antlr.LexerSharedInputState state)

Method Detail

### nextToken

    public antlr.Token nextToken()
                          throws antlr.TokenStreamException

  Specified by:
    `nextToken` in interface `antlr.TokenStream`
  Throws:
    `antlr.TokenStreamException`

### mTOK_RPAREN

    public final void mTOK_RPAREN(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_LPAREN

    public final void mTOK_LPAREN(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_COMMA

    public final void mTOK_COMMA(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_SEMIC

    public final void mTOK_SEMIC(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_DOTDOT

    public final void mTOK_DOTDOT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_COLON

    public final void mTOK_COLON(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_DOT

    public final void mTOK_DOT(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_INDIRECT

    public final void mTOK_INDIRECT(boolean _createToken)
                             throws antlr.RecognitionException,
                                    antlr.CharStreamException,
                                    antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_CONCAT

    public final void mTOK_CONCAT(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_EQ

    public final void mTOK_EQ(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_PLUS

    public final void mTOK_PLUS(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_MINUS

    public final void mTOK_MINUS(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_SLASH

    public final void mTOK_SLASH(boolean _createToken)
                          throws antlr.RecognitionException,
                                 antlr.CharStreamException,
                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_STAR

    public final void mTOK_STAR(boolean _createToken)
                         throws antlr.RecognitionException,
                                antlr.CharStreamException,
                                antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_LE

    public final void mTOK_LE(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_GE

    public final void mTOK_GE(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_NE

    public final void mTOK_NE(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_LT

    public final void mTOK_LT(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_GT

    public final void mTOK_GT(boolean _createToken)
                       throws antlr.RecognitionException,
                              antlr.CharStreamException,
                              antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_LBRACK

    public final void mTOK_LBRACK(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_RBRACK

    public final void mTOK_RBRACK(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_DOLLAR

    public final void mTOK_DOLLAR(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNameFirstCharacter

    protected final void mNameFirstCharacter(boolean _createToken)
                                      throws antlr.RecognitionException,
                                             antlr.CharStreamException,
                                             antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNameCharacter

    protected final void mNameCharacter(boolean _createToken)
                                 throws antlr.RecognitionException,
                                        antlr.CharStreamException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mIdentifier

    public final void mIdentifier(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_UNSIGNED_INTEGER

    protected final void mTOK_UNSIGNED_INTEGER(boolean _createToken)
                                        throws antlr.RecognitionException,
                                               antlr.CharStreamException,
                                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_APPROXIMATE_NUMERIC_LITERAL

    protected final void mTOK_APPROXIMATE_NUMERIC_LITERAL(boolean _createToken)
                                                   throws antlr.RecognitionException,
                                                          antlr.CharStreamException,
                                                          antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mTOK_EXACT_NUMERIC_LITERAL

    public final void mTOK_EXACT_NUMERIC_LITERAL(boolean _createToken)
                                          throws antlr.RecognitionException,
                                                 antlr.CharStreamException,
                                                 antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCharLiteral

    public final void mCharLiteral(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mStringLiteral

    public final void mStringLiteral(boolean _createToken)
                              throws antlr.RecognitionException,
                                     antlr.CharStreamException,
                                     antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mWhiteSpace

    public final void mWhiteSpace(boolean _createToken)
                           throws antlr.RecognitionException,
                                  antlr.CharStreamException,
                                  antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mNewLine

    public final void mNewLine(boolean _createToken)
                        throws antlr.RecognitionException,
                               antlr.CharStreamException,
                               antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mCommentLine

    public final void mCommentLine(boolean _createToken)
                            throws antlr.RecognitionException,
                                   antlr.CharStreamException,
                                   antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

### mMultiLineComment

    public final void mMultiLineComment(boolean _createToken)
                                 throws antlr.RecognitionException,
                                        antlr.CharStreamException,
                                        antlr.TokenStreamException

  Throws:
    `antlr.RecognitionException`
    `antlr.CharStreamException`
    `antlr.TokenStreamException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20